import { NATIVE, UNKNOWN, VIMEO, YOUTUBE } from '../settings.js';
var useDetectVideoType = function useDetectVideoType() {
  var getVideoExtension = function getVideoExtension(src) {
    if (typeof src !== 'string') {
      return '';
    }
    var srcSplittedByPoints = src.split('.');
    var extension = srcSplittedByPoints[srcSplittedByPoints.length - 1];
    return extension;
  };
  var detectVideoType = function detectVideoType(src) {
    var extension = getVideoExtension(src);
    if (src instanceof Blob || NATIVE.VIDEO_FORMATS.includes(extension)) return NATIVE.VIDEO_TYPE;
    if (src.includes(YOUTUBE.VIDEO_TYPE) || src.includes(YOUTUBE.SHORT_URL)) return YOUTUBE.VIDEO_TYPE;
    if (src.includes(VIMEO.VIDEO_TYPE)) return VIMEO.VIDEO_TYPE;
    return UNKNOWN;
  };
  return {
    detectVideoType: detectVideoType
  };
};
export default useDetectVideoType;