import _extends from "@babel/runtime/helpers/esm/extends";
import NativePlayer from '../components/NativePlayer.js';
import VimeoPlayer from '../components/VimeoPlayer.js';
import YouTubePlayer from '../components/YouTubePlayer.js';
import { NATIVE, VIMEO, YOUTUBE } from '../settings.js';
import useDetectVideoType from './useDetectVideoType.js';
var useVideoPlayer = function useVideoPlayer(props) {
  var src = props.src;
  var _useDetectVideoType = useDetectVideoType(),
    detectVideoType = _useDetectVideoType.detectVideoType;
  var videoType = detectVideoType(src);
  switch (videoType) {
    case NATIVE.VIDEO_TYPE:
      return [NativePlayer, props];
    case VIMEO.VIDEO_TYPE:
      return [VimeoPlayer, props];
    case YOUTUBE.VIDEO_TYPE:
      return [YouTubePlayer, props];
    default:
      return ['h1', _extends({}, props, {
        children: 'Not supported media type'
      })];
  }
};
export default useVideoPlayer;